Name:           ocaml-mikmatch
Version:        1.0.6
Release:        %mkrel 3
Summary:        OCaml extension for pattern matching with regexps
Group:          Development/OCaml
License:        BSD
URL:            http://mjambon.com/micmatch.html
Source0:        mikmatch-%{version}.tar.gz
# wget https://github.com/mjambon/mikmatch/archive/v1.0.6.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  ocaml-pcre-devel
BuildRequires:  pcre-devel
BuildRequires:  libncurses-devel
Requires: camlp4
Requires: ocaml-pcre
Requires: ocaml-tophide

%description
Mikmatch (with a 'k') is the OCaml >= 3.10 version of Micmatch, an
extension for adding pattern matching with regular expressions to the
language.

The goal of Micmatch/Mikmatch is to make text-oriented programs even
easier to write, read and run without losing the unique and powerful
features of Objective Caml (OCaml).

Micmatch/Mikmatch provides a concise and highly readable syntax for
regular expressions, and integrates it into the syntax of OCaml thanks
to Camlp4.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n mikmatch-%{version}

%build
make all str pcre
make opt
(cd doc && mkdir -p mikmatch-ocamldoc && make mikmatch-ocamldoc/index.html)
mv doc doc_
mv doc_/mikmatch-ocamldoc doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install-str install-pcre

%files
%doc LICENSE README.md
%dir %{_libdir}/ocaml/mikmatch_str
%dir %{_libdir}/ocaml/mikmatch_pcre
%{_libdir}/ocaml/mikmatch_str/META
%{_libdir}/ocaml/mikmatch_str/*.cma
%{_libdir}/ocaml/mikmatch_str/*.cmi
%{_libdir}/ocaml/mikmatch_str/*.cmo
%{_libdir}/ocaml/mikmatch_pcre/META
%{_libdir}/ocaml/mikmatch_pcre/*.cma
%{_libdir}/ocaml/mikmatch_pcre/*.cmi
%{_libdir}/ocaml/mikmatch_pcre/*.cmo

%files devel
%doc doc/
%{_libdir}/ocaml/mikmatch_str/*.a
%{_libdir}/ocaml/mikmatch_str/*.cmxa
%{_libdir}/ocaml/mikmatch_str/*.cmx
%{_libdir}/ocaml/mikmatch_str/*.o
%{_libdir}/ocaml/mikmatch_str/*.mli
%{_libdir}/ocaml/mikmatch_pcre/*.a
%{_libdir}/ocaml/mikmatch_pcre/*.cmxa
%{_libdir}/ocaml/mikmatch_pcre/*.cmx
%{_libdir}/ocaml/mikmatch_pcre/*.o
%{_libdir}/ocaml/mikmatch_pcre/*.mli


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-3.mga4
+ Revision: 508476
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 361490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 blue_prawn <blue_prawn> 1.0.6-1.mga3
+ Revision: 320214
- build requires ocaml-compiler-libs
- updated to last version 1.0.6
- new rpm group for ocaml

* Thu Apr 05 2012 malo <malo> 1.0.4-2.mga2
+ Revision: 228773
- missing requires to camlp4, pcre and tophide

* Wed Mar 28 2012 blue_prawn <blue_prawn> 1.0.4-1.mga2
+ Revision: 227345
- imported package from Mandriva


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com>
+ Revision: 613121
- the mass rebuild of 2010.1 packages

* Mon Sep 14 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 440732
- rebuild

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420657
- including documentation

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420656
- new version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390295
- rebuild

* Thu Jun 11 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 385277
- increm rel nb

* Fri Jan 16 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 330330
- SILENT added hidden curses dependency

* Fri Jan 16 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 330288
- corrected group

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 326254
- import ocaml-mikmatch
